Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db
Class FetchURL

    java.lang.Object
      org.biojava.bio.seq.db.FetchURL

    public class FetchURL

extends Object

Author:
  Lei Lai, Thomas Down, Matthew Pocock

Constructor Summary
`FetchURL(String databaseName, String format)` Constructs a fetchURL object based on the database name and specified return format of sequence.

Method Summary
`String` | `getbaseURL()`
`String` | `getDB()`
`String` | `getReturnFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchURL

    public FetchURL(String databaseName,
                    String format)

  Constructs a fetchURL object based on the database name and specified return format of sequence.

Method Detail

### getbaseURL

    public String getbaseURL()

### getDB

    public String getDB()

### getReturnFormat

    public String getReturnFormat()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD